/*
 * @Author: dengchao 754083046@qq.com
 * @Date: 2022-11-28 19:05:07
 * @LastEditors: dengchao 754083046@qq.com
 * @LastEditTime: 2023-01-11 16:05:10
 * @FilePath: \maintenance\src\services\messagemanage\messagemanage.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import { get, post, PUBLISH_SERVICE, CITY_SERVICE } from '@/services/index';

// 模板管理接口
export const GetMessageTemplate = param =>
  get(`${PUBLISH_SERVICE}/MessageConfig/GetMessageTemplate`, param);
export const InsertMessageTemplate = param =>
  post(`${PUBLISH_SERVICE}/MessageConfig/InsertMessageTemplate`, param);
export const UpdateMessageTemplate = param =>
  post(`${PUBLISH_SERVICE}/MessageConfig/UpdateMessageTemplate`, param);
export const DeleteMessageTemplate = param =>
  get(`${PUBLISH_SERVICE}/MessageConfig/DeleteMessageTemplate`, param);
export const GetThirdpartyTemplates = param =>
  get(`${PUBLISH_SERVICE}/MessageConfig/GetThirdpartyTemplates`, param);
// 方案管理接口
export const GetMessageConfigList = param =>
  get(`${PUBLISH_SERVICE}/MessageConfig/GetMessageConfigList`, param);
export const InsertMessageConfig = param =>
  post(`${PUBLISH_SERVICE}/MessageConfig/InsertMessageConfig`, param);
export const UpdateMessageConfig = param =>
  post(`${PUBLISH_SERVICE}/MessageConfig/UpdateMessageConfig`, param);
export const DeleteMessageConfig = param =>
  get(`${PUBLISH_SERVICE}/MessageConfig/DeleteMessageConfig`, param);
export const GetMessageVersion = param =>
  get(`${PUBLISH_SERVICE}/MessageConfig/GetMessageVersion`, param);
export const GetMsgTypeList = param =>
  get(`${PUBLISH_SERVICE}/MessageConfig/GetMsgTypeList`, param);
export const TestPush = param => post(`${PUBLISH_SERVICE}/MessageConfig/TestPush`, param);
export const AddIISAgentConfig = param =>
  post(`${PUBLISH_SERVICE}/MessageConfig/AddIISAgentConfig`, param);
export const DeleteIISAgentConfig = param =>
  get(`${PUBLISH_SERVICE}/MessageConfig/DeleteIISAgentConfig`, param);
export const GetIISAgentConfig = param =>
  get(`${PUBLISH_SERVICE}/MessageConfig/GetIISAgentConfig`, param);
// 组件接口

export const RoleGroupList = param => get(`${PUBLISH_SERVICE}/UserCenter/RoleGroupList`, param);
export const GetGroupUserTree = param =>
  get(`${PUBLISH_SERVICE}/UserCenter/GetGroupUserTree`, param);

// 获取图片路径接口
export const GetMessageIcon = param =>
  get(`${PUBLISH_SERVICE}/MessageConfig/GetMessageIcon`, param);
// 查询新消息平台配置
export const GetMessageConfigs = param =>
  get(`${PUBLISH_SERVICE}/MessageConfig/GetMessageConfigs`, param);
// 新增消息平台方案配置
export const AddMessageConfigs = param =>
  post(`${PUBLISH_SERVICE}/MessageConfig/AddMessage_Configs`, param);
// 修改消息平台方案配置
export const UpdateMessageConfigs = param =>
  post(`${PUBLISH_SERVICE}/MessageConfig/UpdateMessage_Configs`, param);
// 添加或修改平台弹框配置
export const AddPlatformStatus = param =>
  post(`${PUBLISH_SERVICE}/MessageConfig/AddPlatformStatus`, param);
// 添加或修改短信推送配置
export const AddSMSStatus = param => post(`${PUBLISH_SERVICE}/MessageConfig/AddSMSStatus`, param);
// 添加或修改微信公众号推送配置
export const AddWechatStatus = param =>
  post(`${PUBLISH_SERVICE}/MessageConfig/AddWechatStatus`, param);
// 添加或修改企业微信推送设置
export const AddWorkWechatStatus = param =>
  post(`${PUBLISH_SERVICE}/MessageConfig/AddWorkWechatStatus`, param);
// 删除
export const DelMessageConfigs = param =>
  get(`${PUBLISH_SERVICE}/MessageConfig/DelMessage_Configs`, param);
// 消息测试
export const PushTest = param => post(`${PUBLISH_SERVICE}/MessageConfig/PushTest`, param);
